/**
 * Функция пытается найти элемент по имени и поставить в него фокус.
 *
 * @param name - Имя элемента ввода.
 *
 * @deprecated Следует использовать одноименную функцию из @platform/ui.
 * В пакете @platform/core она скопирована для совместимости с доменами.
 *
 * Пытаемся найти элемент по атрибуту name.
 *
 * Если не находим по атрибуту name:
 * - Ищем по атрибуту data-name
 * - Если находим, ищем фокусируемые поля ввода в дочерних элементах
 * - Если такие есть, фокусируем на этот элемент, иначе прокручиваем к найденному элементу с помощью scrollIntoView.
 *
 * Если нашли элемент по атрибуту name:
 * - Проверяем, является ли он фокусируемым
 * - Если является, фокусируем на него, иначе прокручиваем к найденному элементу с помощью scrollIntoView.
 * @example
 * focusByName('fieldName'); // Поставит фокус в поле `fieldName`
 */
export declare const focusByName: (name: string) => void;
